aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/ccxstream/ccxstream-1.0.15/ccxstream.init
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/ccxstream/ccxstream-1.0.15/ccxstream.init
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/ccxstream/ccxstream-1.0.15/ccxstream.init')
-rw-r--r--recipes/ccxstream/ccxstream-1.0.15/ccxstream.init37
1 files changed, 37 insertions, 0 deletions
diff --git a/recipes/ccxstream/ccxstream-1.0.15/ccxstream.init b/recipes/ccxstream/ccxstream-1.0.15/ccxstream.init
new file mode 100644
index 0000000000..f57752825d
--- /dev/null
+++ b/recipes/ccxstream/ccxstream-1.0.15/ccxstream.init
@@ -0,0 +1,37 @@
+#! /bin/sh
+
+start() {
+ . /etc/ccxstream.conf
+ if [ "${CHECK}" = "YES" ] ; then
+
+ echo -n "Starting ccXstream : "
+ start-stop-daemon --start --quiet --exec ${BIN} \
+ -- ${PARAMS} -C ${SERVERCOMMENT}
+ status="$?"
+ test ${status} = "0" && echo OK || echo FAILED
+ return ${status}
+ else
+ echo "Please setup /etc/ccxstream.conf before starting ccXstream"
+ return 1
+ fi
+}
+
+stop() {
+ echo -n "Stopping ccXstream : "
+ start-stop-daemon --stop --quiet --pidfile /var/run/ccxstream.pid
+ return $?
+}
+
+case $1 in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+esac
+